Index: /trunk/admin/batch_manager_global.php
===================================================================
--- /trunk/admin/batch_manager_global.php	(revision 12878)
+++ /trunk/admin/batch_manager_global.php	(revision 12879)
@@ -34,12 +34,4 @@
 
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-include_once(PHPWG_ROOT_PATH.'admin/include/functions_upload.inc.php');
-
-$upload_form_config = get_upload_form_config();
-foreach ($upload_form_config as $param_shortname => $param)
-{
-  $param_name = 'upload_form_'.$param_shortname;
-  $form_values[$param_shortname] = $conf[$param_name];
-}
 
 // +-----------------------------------------------------------------------+
@@ -464,5 +456,4 @@
     'selection' => $collection,
     'all_elements' => $page['cat_elements_id'],
-    'upload_form_settings' => $form_values,
     'U_DISPLAY'=>$base_url.get_query_string_diff(array('display')),
     'F_ACTION'=>$base_url.get_query_string_diff(array('cat')),
Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 12878)
+++ /trunk/admin/configuration.php	(revision 12879)
@@ -28,4 +28,5 @@
 
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
+include_once(PHPWG_ROOT_PATH.'admin/include/functions_upload.inc.php');
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
 
@@ -54,4 +55,8 @@
     'allow_user_customization',
    );
+
+$sizes_checkboxes = array(
+    'original_resize',
+  );
 
 $history_checkboxes = array(
@@ -183,4 +188,34 @@
       break;
     }
+    case 'sizes' :
+    {
+      $fields = array(
+        'original_resize',
+        'original_resize_maxwidth',
+        'original_resize_maxheight',
+        'original_resize_quality',
+        );
+
+      $updates = array();
+      
+      foreach ($fields as $field)
+      {
+        $value = !empty($_POST[$field]) ? $_POST[$field] : null;
+        $form_values[$field] = $value;
+        $updates[$field] = $value;
+      }
+
+      save_upload_form_config($updates, $page['errors']);
+  
+      if (count($page['errors']) == 0)
+      {
+        array_push(
+          $page['infos'],
+          l10n('Your configuration settings are saved')
+          );
+      }
+
+      break;
+    }
     case 'history' :
     {
@@ -229,5 +264,5 @@
 
   // updating configuration if no error found
-  if (count($page['errors']) == 0)
+  if ('sizes' != $page['section'] and count($page['errors']) == 0)
   {
     //echo '<pre>'; print_r($_POST); echo '</pre>';
@@ -269,4 +304,5 @@
 // TabSheet initialization
 $tabsheet->add('main', l10n('Main'), $conf_link.'main');
+$tabsheet->add('sizes', l10n('Photo Sizes'), $conf_link.'sizes');
 $tabsheet->add('display', l10n('Display'), $conf_link.'display');
 $tabsheet->add('history', l10n('History'), $conf_link.'history');
@@ -440,4 +476,28 @@
     break;
   }
+  case 'sizes' :
+  {
+    $template->assign(
+      'sizes',
+      array(
+        'original_resize_maxwidth' => $conf['original_resize_maxwidth'],
+        'original_resize_maxheight' => $conf['original_resize_maxheight'],
+        'original_resize_quality' => $conf['original_resize_quality'],
+        )
+      );
+    
+    foreach ($sizes_checkboxes as $checkbox)
+    {
+      $template->append(
+        'sizes',
+        array(
+          $checkbox => $conf[$checkbox]
+          ),
+        true
+        );
+    }
+
+    break;
+  }
 }
 
Index: /trunk/admin/include/functions_upload.inc.php
===================================================================
--- /trunk/admin/include/functions_upload.inc.php	(revision 12878)
+++ /trunk/admin/include/functions_upload.inc.php	(revision 12879)
@@ -33,84 +33,10 @@
   // default configuration for upload
   $upload_form_config = array(
-    'websize_resize' => array(
-      'default' => true,
-      'can_be_null' => false,
-      ),
-    
-    'websize_maxwidth' => array(
-      'default' => 800,
-      'min' => 100,
-      'max' => 1600,
-      'pattern' => '/^\d+$/',
-      'can_be_null' => true,
-      'error_message' => l10n('The websize maximum width must be a number between %d and %d'),
-      ),
-  
-    'websize_maxheight' => array(
-      'default' => 600,
-      'min' => 100,
-      'max' => 1200,
-      'pattern' => '/^\d+$/',
-      'can_be_null' => true,
-      'error_message' => l10n('The websize maximum height must be a number between %d and %d'),
-      ),
-  
-    'websize_quality' => array(
-      'default' => 95,
-      'min' => 50,
-      'max' => 100,
-      'pattern' => '/^\d+$/',
-      'can_be_null' => false,
-      'error_message' => l10n('The websize image quality must be a number between %d and %d'),
-      ),
-  
-    'thumb_maxwidth' => array(
-      'default' => 128,
-      'min' => 50,
-      'max' => 300,
-      'pattern' => '/^\d+$/',
-      'can_be_null' => false,
-      'error_message' => l10n('The thumbnail maximum width must be a number between %d and %d'),
-      ),
-  
-    'thumb_maxheight' => array(
-      'default' => 96,
-      'min' => 50,
-      'max' => 300,
-      'pattern' => '/^\d+$/',
-      'can_be_null' => false,
-      'error_message' => l10n('The thumbnail maximum height must be a number between %d and %d'),
-      ),
-  
-    'thumb_quality' => array(
-      'default' => 95,
-      'min' => 50,
-      'max' => 100,
-      'pattern' => '/^\d+$/',
-      'can_be_null' => false,
-      'error_message' => l10n('The thumbnail image quality must be a number between %d and %d'),
-      ),
-
-    'thumb_crop' => array(
+    'original_resize' => array(
       'default' => false,
       'can_be_null' => false,
       ),
-
-    'thumb_follow_orientation' => array(
-      'default' => true,
-      'can_be_null' => false,
-      ),
-  
-    'hd_keep' => array(
-      'default' => true,
-      'can_be_null' => false,
-      ),
-  
-    'hd_resize' => array(
-      'default' => false,
-      'can_be_null' => false,
-      ),
-  
-    'hd_maxwidth' => array(
+  
+    'original_resize_maxwidth' => array(
       'default' => 2000,
       'min' => 500,
@@ -118,23 +44,23 @@
       'pattern' => '/^\d+$/',
       'can_be_null' => false,
-      'error_message' => l10n('The high definition maximum width must be a number between %d and %d'),
+      'error_message' => l10n('The original maximum width must be a number between %d and %d'),
       ),
   
-    'hd_maxheight' => array(
+    'original_resize_maxheight' => array(
       'default' => 2000,
-      'min' => 500,
+      'min' => 300,
       'max' => 20000,
       'pattern' => '/^\d+$/',
       'can_be_null' => false,
-      'error_message' => l10n('The high definition maximum height must be a number between %d and %d'),
+      'error_message' => l10n('The original maximum height must be a number between %d and %d'),
       ),
   
-    'hd_quality' => array(
+    'original_resize_quality' => array(
       'default' => 95,
       'min' => 50,
-      'max' => 100,
+      'max' => 98,
       'pattern' => '/^\d+$/',
       'can_be_null' => false,
-      'error_message' => l10n('The high definition image quality must be a number between %d and %d'),
+      'error_message' => l10n('The original image quality must be a number between %d and %d'),
       ),
     );
@@ -171,5 +97,5 @@
 
       $updates[] = array(
-        'param' => 'upload_form_'.$field,
+        'param' => $field,
         'value' => boolean_to_string($value)
         );
@@ -178,5 +104,5 @@
     {
       $updates[] = array(
-        'param' => 'upload_form_'.$field,
+        'param' => $field,
         'value' => 'false'
         );
@@ -191,5 +117,5 @@
       {
          $updates[] = array(
-          'param' => 'upload_form_'.$field,
+          'param' => $field,
           'value' => $value
           );
@@ -227,14 +153,9 @@
 function add_uploaded_file($source_filepath, $original_filename=null, $categories=null, $level=null, $image_id=null)
 {
-  // Here is the plan
-  //
   // 1) move uploaded file to upload/2010/01/22/20100122003814-449ada00.jpg
   //
-  // 2) if taller than max_height or wider than max_width, move to pwg_high
-  //    + web sized creation
+  // 2) keep/resize original
   //
-  // 3) thumbnail creation from web sized
-  //
-  // 4) register in database
+  // 3) register in database
   
   // TODO
@@ -248,5 +169,5 @@
   if (isset($image_id))
   {
-    // we are performing an update
+    // this photo already exists, we update it
     $query = '
 SELECT
@@ -317,81 +238,33 @@
   }
 
-  if ($conf['upload_form_websize_resize']
-      and need_resize($file_path, $conf['upload_form_websize_maxwidth'], $conf['upload_form_websize_maxheight']))
-  {
-    $high_path = file_path_for_type($file_path, 'high');
-    $high_dir = dirname($high_path);
-    prepare_directory($high_dir);
-    
-    rename($file_path, $high_path);
-    $high_infos = pwg_image_infos($high_path);
-    
-    $img = new pwg_image($high_path);
-
-    $img->pwg_resize(
-      $file_path,
-      $conf['upload_form_websize_maxwidth'],
-      $conf['upload_form_websize_maxheight'],
-      $conf['upload_form_websize_quality'],
-      $conf['upload_form_automatic_rotation'],
-      false
-      );
-
-    if ($img->library != 'gd')
-    {
-      if ($conf['upload_form_hd_keep'])
+  if (pwg_image::get_library() != 'gd')
+  {
+    if ($conf['original_resize'])
+    {
+      $need_resize = need_resize($file_path, $conf['original_resize_maxwidth'], $conf['original_resize_maxheight']);
+      
+      if ($need_resize)
       {
-        if ($conf['upload_form_hd_resize'])
-        {
-          $need_resize = need_resize($high_path, $conf['upload_form_hd_maxwidth'], $conf['upload_form_hd_maxheight']);
+        $img = new pwg_image($file_path);
+            
+        $img->pwg_resize(
+          $file_path,
+          $conf['original_resize_maxwidth'],
+          $conf['original_resize_maxheight'],
+          $conf['original_resize_quality'],
+          $conf['upload_form_automatic_rotation'],
+          false
+          );
         
-          if ($need_resize)
-          {
-            $img->pwg_resize(
-              $high_path,
-              $conf['upload_form_hd_maxwidth'],
-              $conf['upload_form_hd_maxheight'],
-              $conf['upload_form_hd_quality'],
-              $conf['upload_form_automatic_rotation'],
-              false
-              );
-            $high_infos = pwg_image_infos($high_path);
-          }
-        }
+        $img->destroy();
       }
-      else
-      {
-        unlink($high_path);
-        $high_infos = null;
-      }
-    }
-    $img->destroy();
+    }
   }
 
   $file_infos = pwg_image_infos($file_path);
   
-  $thumb_path = file_path_for_type($file_path, 'thumb');
-  $thumb_dir = dirname($thumb_path);
-  prepare_directory($thumb_dir);
-
-  $img = new pwg_image($file_path);
-  $img->pwg_resize(
-    $thumb_path,
-    $conf['upload_form_thumb_maxwidth'],
-    $conf['upload_form_thumb_maxheight'],
-    $conf['upload_form_thumb_quality'],
-    false,
-    true,
-    $conf['upload_form_thumb_crop'],
-    $conf['upload_form_thumb_follow_orientation']
-    );
-  $img->destroy();
-  
-  $thumb_infos = pwg_image_infos($thumb_path);
-
   if (isset($image_id))
   {
     $update = array(
-      'id' => $image_id,
       'file' => pwg_db_real_escape_string(isset($original_filename) ? $original_filename : basename($file_path)),
       'filesize' => $file_infos['filesize'],
@@ -402,19 +275,4 @@
       );
     
-    if (isset($high_infos))
-    {
-      $update['has_high'] = 'true';
-      $update['high_filesize'] = $high_infos['filesize'];
-      $update['high_width'] = $high_infos['width'];
-      $update['high_height'] = $high_infos['height'];
-    }
-    else
-    {
-      $update['has_high'] = 'false';
-      $update['high_filesize'] = null;
-      $update['high_width'] = null;
-      $update['high_height'] = null;
-    }
-
     if (isset($level))
     {
@@ -422,11 +280,8 @@
     }
 
-    mass_updates(
+    single_update(
       IMAGES_TABLE,
-      array(
-        'primary' => array('id'),
-        'update' => array_keys($update)
-        ),
-      array($update)
+      $update,
+      array('id' => $image_id)
       );
   }
@@ -458,10 +313,6 @@
       $insert['level'] = $level;
     }
-  
-    mass_inserts(
-      IMAGES_TABLE,
-      array_keys($insert),
-      array($insert)
-      );
+
+    single_insert(IMAGES_TABLE, $insert);
   
     $image_id = pwg_db_insert_id(IMAGES_TABLE);
Index: /trunk/admin/include/photos_add_direct_process.inc.php
===================================================================
--- /trunk/admin/include/photos_add_direct_process.inc.php	(revision 12878)
+++ /trunk/admin/include/photos_add_direct_process.inc.php	(revision 12879)
@@ -203,10 +203,5 @@
     $thumbnail['file'] = $image_infos['file'];
     
-    $thumbnail['src'] = get_thumbnail_location(
-      array(
-        'path' => $image_infos['path'],
-        'tn_ext' => $image_infos['tn_ext'],
-        )
-      );
+    $thumbnail['src'] = DerivativeImage::thumb_url($image_infos);
 
     // TODO: when implementing this plugin in Piwigo core, we should have
Index: /trunk/admin/include/uploadify/uploadify.php
===================================================================
--- /trunk/admin/include/uploadify/uploadify.php	(revision 12878)
+++ /trunk/admin/include/uploadify/uploadify.php	(revision 12879)
@@ -73,5 +73,5 @@
 $image_infos = pwg_db_fetch_assoc(pwg_query($query));
 
-$thumbnail_url = preg_replace('#^'.PHPWG_ROOT_PATH.'#', './', get_thumbnail_url($image_infos));
+$thumbnail_url = preg_replace('#^'.PHPWG_ROOT_PATH.'#', './', DerivativeImage::thumb_url($image_infos));
 
 $return = array(
Index: /trunk/admin/photos_add.php
===================================================================
--- /trunk/admin/photos_add.php	(revision 12878)
+++ /trunk/admin/photos_add.php	(revision 12879)
@@ -55,8 +55,4 @@
     'code' => 'direct',
     'label' => l10n('Upload Photos'),
-    ),
-  array(
-    'code' => 'settings',
-    'label' => l10n('Settings'),
     ),
   array(
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 12878)
+++ /trunk/install/config.sql	(revision 12879)
@@ -68,2 +68,6 @@
 INSERT INTO piwigo_config (param,value) VALUES ('upload_form_hd_maxheight','2000');
 INSERT INTO piwigo_config (param,value) VALUES ('upload_form_hd_quality','95');
+INSERT INTO piwigo_config (param,value) VALUES ('original_resize','false');
+INSERT INTO piwigo_config (param,value) VALUES ('original_resize_maxwidth','2016');
+INSERT INTO piwigo_config (param,value) VALUES ('original_resize_maxheight','2016');
+INSERT INTO piwigo_config (param,value) VALUES ('original_resize_quality','95');
Index: /trunk/install/db/113-database.php
===================================================================
--- /trunk/install/db/113-database.php	(revision 12879)
+++ /trunk/install/db/113-database.php	(revision 12879)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'New settings for resizing original photo (related to multiple sizes feature)';
+
+conf_update_param('original_resize', 'false');
+conf_update_param('original_resize_maxwidth', 2016);
+conf_update_param('original_resize_maxheight', 2016);
+conf_update_param('original_resize_quality', 95);
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>
Index: /trunk/language/af_ZA/admin.lang.php
===================================================================
--- /trunk/language/af_ZA/admin.lang.php	(revision 12878)
+++ /trunk/language/af_ZA/admin.lang.php	(revision 12879)
@@ -160,5 +160,4 @@
 $lang['jump to album'] = 'spring na album';
 $lang['jump to photo'] = 'spring na foto';
-$lang['Keep high definition'] = 'Hou hoë definisie';
 $lang['Languages'] = 'Tale';
 $lang['last import'] = 'laaste invoer';
Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 12878)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 12879)
@@ -605,12 +605,5 @@
 $lang['Who can see these photos?'] = 'من يمكنه رؤية هذه الصور';
 $lang['Who can see this photo?'] = 'من يمكنه رؤية هذه الصورة؟';
-$lang['The websize maximum width must be a number between %d and %d'] = '%d و %d الحد الأعلى لعرض صورة الويب يجب أن تكون';
-$lang['The websize maximum height must be a number between %d and %d'] = '%d و %d الحد الأعلى لطول صورة الويب يجب أن تكون بين ';
-$lang['The websize image quality must be a number between %d and %d'] = '%d و %d جودة صورة الوب يجب أن تكون بين ';
-$lang['The thumbnail maximum width must be a number between %d and %d'] = '%d و %d الحد الأعلى لعرض مصغرات الصور يجب أن يكون بين';
-$lang['The thumbnail maximum height must be a number between %d and %d'] = '%d و %dالحد الأعلى لطول  مصغرات الصور يجب ان يكون بين ';
-$lang['The thumbnail image quality must be a number between %d and %d'] = '%d و %dجودة مصغرات الصور يجب ان تكون بين ';
 $lang['Settings'] = 'الإعدادت';
-$lang['Web size photo'] = 'مقاس صورة ويب';
 $lang['Resize'] = 'تغيير المقاس';
 $lang['Maximum Width'] = 'الحد الأعلى لعرض الصورة';
@@ -705,8 +698,4 @@
 $lang['manual order'] = 'ترتيب يدوي';
 $lang['Albums automatically sorted'] = 'ترتيب الألبومات آليا ً ';
-$lang['Keep high definition'] = 'احتفظ بها بدقة عالية';
-$lang['The high definition maximum width must be a number between %d and %d'] = ' %d و %d يجب أن يكون الحد الاعلى لعرض الصور العالية الدقة بين ';
-$lang['The high definition maximum height must be a number between %d and %d'] = '%d و %d يجب أن يكون الحد الاعلى لطول الصور العالية الدقة بين';
-$lang['The high definition image quality must be a number between %d and %d'] = '%d و %d يجب أن يكون الحد الاعلى لجودة  الصور العالية الدقة بين';
 $lang['Batch Manager'] = 'دعم المدير';
 $lang['include child albums'] = 'تضمين الالبومات الفرعية';
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 12878)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 12879)
@@ -668,5 +668,4 @@
 $lang['Installed Languages'] = 'Installed Languages';
 $lang['Invert'] = 'Invert';
-$lang['Keep high definition'] = 'Keep high definition';
 $lang['Language has been successfully installed'] = 'Language has been successfully installed';
 $lang['Languages'] = 'Languages';
@@ -722,17 +721,8 @@
 $lang['Switch to clear or dark colors for administration'] = 'Switch to clear or dark colors for administration';
 $lang['The following tag was deleted'] = 'The following tag was deleted';
-$lang['The high definition image quality must be a number between %d and %d'] = 'The high definition image quality must be a number between %d and %d';
-$lang['The high definition maximum height must be a number between %d and %d'] = 'The high definition maximum height must be a number between %d and %d';
-$lang['The high definition maximum width must be a number between %d and %d'] = 'The high definition maximum width must be a number between %d and %d';
-$lang['The thumbnail image quality must be a number between %d and %d'] = 'The thumbnail image quality must be a number between %d and %d';
-$lang['The thumbnail maximum height must be a number between %d and %d'] = 'The thumbnail maximum height must be a number between %d and %d';
-$lang['The thumbnail maximum width must be a number between %d and %d'] = 'The thumbnail maximum width must be a number between %d and %d';
 $lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB';
 $lang['The uploaded file was only partially uploaded'] = 'The uploaded file was only partially uploaded';
 $lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'The uploaded files exceed the post_max_size directive in php.ini: %sB';
-$lang['The websize image quality must be a number between %d and %d'] = 'The websize image quality must be a number between %d and %d';
-$lang['The websize maximum height must be a number between %d and %d'] = 'The websize maximum height must be a number between %d and %d';
-$lang['The websize maximum width must be a number between %d and %d'] = 'The websize maximum width must be a number between %d and %d';
 $lang['The whole page'] = 'The whole page';
 $lang['The whole set'] = 'The whole set';
@@ -753,5 +743,4 @@
 $lang['Visit Piwigo project website'] = 'Visit Piwigo project website';
 $lang['Visit plugin site'] = 'Visit plugin site';
-$lang['Web size photo'] = 'Web size photo';
 $lang['Webmaster status is required.'] = 'Webmaster status is required.';
 $lang['Week starts on'] = 'Week starts on';
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 12878)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 12879)
@@ -606,12 +606,5 @@
 $lang['Who can see this photo?'] = 'Kdo může vidět tuto fotografii?'; 
 $lang['Pending Comments'] = 'Nevyřízené komentáře';
-$lang['The websize maximum width must be a number between %d and %d'] = 'Maximální šířka webovské stránky musí být číslo mezi %d a %d';
-$lang['The websize maximum height must be a number between %d and %d'] = 'Maximální výška webovské stránky musí být číslo mezi %d a %d';
-$lang['The websize image quality must be a number between %d and %d'] = 'Kvalita formátu fotografie pro web musí být číslo mezi %d and %d';
-$lang['The thumbnail maximum width must be a number between %d and %d'] = 'Maximální šířka náhledu obrázku musí být číslo mezi %d a %d';
-$lang['The thumbnail maximum height must be a number between %d and %d'] = 'Maximální výška náhledu obrázku musí být číslo mezi %d a %d';
-$lang['The thumbnail image quality must be a number between %d and %d'] = 'Kvalita formátu náhledu fotografie musí být číslo mezi %d a %d';
 $lang['Settings'] = 'Nastavení';
-$lang['Web size photo'] = 'Velikost fotografie pro web';
 $lang['Resize'] = 'Změnit velikost';
 $lang['Maximum Width'] = 'Maximální šířka';
@@ -711,8 +704,4 @@
 $lang['manual order'] = 'ruční řazení';
 $lang['Albums automatically sorted'] = 'Alba jsou řazena automaticky';
-$lang['Keep high definition'] = 'Zachovat vysoké rozlišení';
-$lang['The high definition maximum width must be a number between %d and %d'] = 'Maximální vysoké rozlišení - šířka musí být číslo mezi %d a %d';
-$lang['The high definition maximum height must be a number between %d and %d'] = 'Maximální vysoké rozlišení - výška musí být číslo mezi %d a %d';
-$lang['The high definition image quality must be a number between %d and %d'] = 'Maximální vysoké rozlišení - kvalita musí být číslo mezi %d a %d';
 $lang['Batch Manager'] = 'Správce dávek';
 $lang['include child albums'] = 'zahrnout podřízená alba';
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 12878)
+++ /trunk/language/da_DK/admin.lang.php	(revision 12879)
@@ -603,12 +603,5 @@
 $lang['Everybody']     =     'Alle';
 $lang['Who can see these photos?']     =     'Hvem kan se disse billeder? ';
-$lang['The websize maximum width must be a number between %d and %d']     =     'Det websize maksimale bredde skal være et tal mellem %d og %d ';
-$lang['The websize maximum height must be a number between %d and %d']     =     'Det websize maksimale højde skal være et nummer mellem %d og %d ';
-$lang['The websize image quality must be a number between %d and %d']     =     'De websize billedkvaliteten skal være et nummer mellem %d og %d ';
-$lang['The thumbnail maximum width must be a number between %d and %d']     =     'Det thumbnail maksimale bredde skal være et tal mellem %d og %d ';
-$lang['The thumbnail maximum height must be a number between %d and %d']     =     'Det thumbnail maksimale højde skal være et nummer mellem %d og %d ';
-$lang['The thumbnail image quality must be a number between %d and %d']     =     'De miniaturebillede kvalitet skal være et nummer mellem  %d og %d ';
 $lang['Settings']     =     'Indstillinger';
-$lang['Web size photo']     =     'Web størrelse billede ';
 $lang['Resize']     =     'Resize';
 $lang['Maximum Width']     =     'Maksimal bredde';
@@ -748,5 +741,4 @@
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'I din php.ini fil, er upload_max_filestørrelse (%sB) større end post_maks_størrelsen (%sB), du bør ændre denne indstilling';
 $lang['include child albums'] = 'inkluder børne albums';
-$lang['Keep high definition'] = 'Bevar høj definition';
 $lang['Last import'] = 'Sidste import';
 $lang['manual order'] = 'manual ordre';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 12878)
+++ /trunk/language/de_DE/admin.lang.php	(revision 12879)
@@ -604,12 +604,5 @@
 $lang['Who can see these photos?'] = 'Wer soll die Fotos sehen können?';
 $lang['Who can see this photo?'] = 'Wer soll dieses Foto sehen können?';
-$lang['The websize maximum width must be a number between %d and %d'] = 'Die maximale Breite muss eine Zahl zwischen %d und %d sein';
-$lang['The websize maximum height must be a number between %d and %d'] = 'Die maximale Höhe muss eine Zahl zwischen %d und %d sein';
-$lang['The websize image quality must be a number between %d and %d'] = 'Die Bildqualität muss eine Zahl zwischen %d und %d sein';
-$lang['The thumbnail maximum width must be a number between %d and %d'] = 'Die maximale Breite der Vorschaubilder muss eine Zahl zwischen %d und %d sein';
-$lang['The thumbnail maximum height must be a number between %d and %d'] = 'Die maximale Höhe der Vorschaubilder muss eine Zahl zwischen %d und %d sein';
-$lang['The thumbnail image quality must be a number between %d and %d'] = 'Die Bildqualität der Vorschaubilder muss eine Zahl zwischen %d und %d sein';
 $lang['Settings'] = 'Einstellungen';
-$lang['Web size photo'] = 'Größe des angezeigten Bildes';
 $lang['Resize'] = 'Größe verändern';
 $lang['Maximum Width'] = 'Maximale Breite';
@@ -709,8 +702,4 @@
 $lang['manual order'] = 'manuelle Sortierung';
 $lang['Albums automatically sorted'] = 'Alben automatisch sortiert';
-$lang['Keep high definition'] = 'Belasse High Definition';
-$lang['The high definition maximum width must be a number between %d and %d'] = 'Die maximale Höhe der High Definition Auflösung muss eine Zahl zwischen %d und %d sein';
-$lang['The high definition maximum height must be a number between %d and %d'] = 'Die maximale Breite der High Definition Auflösung muss eine Zahl zwischen %d und %d sein';
-$lang['The high definition image quality must be a number between %d and %d'] = 'Die High Definition Bildqualität muss eine Zahl zwischen %d und %d sein';
 $lang['Batch Manager'] = 'Stapelverarbeitungsmanager';
 $lang['include child albums'] = 'inclusive Unteralben';
